Get the status of a task
gethttps://api-atlas.nomic.ai/v1/task/{task_id}
Get the status of a task (parsing, extraction).
Request
task_idstring | path*requiredResponses
200The status of the task.
statusstring*requiredThe status of the task.
Possible values: COMPLETED, FAILED, BUILDING, WAITING
errorstringAn error message if the task failed.
resultobjectThe result of the task.
task_idstring*requiredThe ID of the task.
durationnumber*requiredThe time taken to complete the task, in seconds.
result_urlstring*requiredA URL to access the results (e.g., parsed file, extracted information).
403The user is not authorized to perform this action.
422Validation Error
Examples
curl
curl -X 'GET' \
'https://api-atlas.nomic.ai/v1/task/{task_id}' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'